Update message content via API key
curl --request PATCH \
--url https://api.leanmcp.com/api/chat-messages/id/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Updated message content here",
"metadata": {
"edited": true,
"editedAt": "2025-06-16T20:00:00Z"
}
}
'import requests
url = "https://api.leanmcp.com/api/chat-messages/id/{id}"
payload = {
"content": "Updated message content here",
"metadata": {
"edited": True,
"editedAt": "2025-06-16T20:00:00Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Updated message content here',
metadata: {edited: true, editedAt: '2025-06-16T20:00:00Z'}
})
};
fetch('https://api.leanmcp.com/api/chat-messages/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"chatId": "c1a83d84-7154-464c-bd19-a9f10e0a067f",
"userId": "<string>",
"content": "<string>",
"messageIndex": 1,
"createdAt": "<string>",
"updatedAt": "<string>",
"metadata": {}
}Update message content via API key
Update message content or metadata using API key authentication. Requires CHAT scope.
PATCH
/
api
/
chat-messages
/
id
/
{id}
Update message content via API key
Authorizations
Enter your LeanMCP API key
Path Parameters
Message ID
Body
application/json
Response
Message updated successfully
Unique message identifier (UUID)
Chat ID this message belongs to (UUID)
Example:
"c1a83d84-7154-464c-bd19-a9f10e0a067f"
User ID who owns this message
Role of the message sender
Available options:
system, assistant, user Message content/text
Order of message in the chat (0-based)
Required range:
x >= 0Timestamp when message was created
Timestamp when message was last updated
Additional metadata for the message
⌘I

